diff -ur rsct.core.utils-3.1.0.7.orig/debian/preinst rsct.core.utils-3.1.0.7/debian/preinst
--- rsct.core.utils-3.1.0.7.orig/debian/preinst	2011-12-25 13:36:07.000000000 +0100
+++ rsct.core.utils-3.1.0.7/debian/preinst	2011-12-25 13:35:37.000000000 +0100
@@ -2,137 +2,18 @@
 # Pre-install script ----------------------------------------------------------------------------
 # RSCT installation verification starts here
 #
-# The checking logic below is much more tolerant than 
-# the recommendations in the Adminstration Guide.
 ABORT=0
 
-# collect OS and hardware type information
-
-if [[ -r /etc/SuSE-release ]]
-then
-	SUSE=$(head -1 /etc/SuSE-release)
-fi
-
-if [[ -r /etc/redhat-release ]]
-then
-	RH=$(head -1 /etc/redhat-release)
-fi
-
-MACHINE=$(uname -m)
-KERNEL=$(uname -r)
-
-# check for kernel module which is known missing in RH EL 3.0 (AS/ES/WS) on pSeries (kernels 2.4.21-11.EL and 2.4.21-4.EL)
-modprobe --show softdog 2>>/dev/null 1>>/dev/null
-if [[ $? != 0 ]]
-then
-	echo "********************************************************************************"
-	echo /lib/modules/$KERNEL/kernel/drivers/char/softdog.o is not included in the kernel RPM.
-	echo This module is needed if running with IBM Tivoli System Automation for Multiplatforms.
-	echo Go to http://publib.boulder.ibm.com/clresctr/windows/public/rsctbooks.html,
-	echo open the Administration Guide for this level of RSCT for Linux, and check
-	echo \"RSCT installation and software verification\" Chapter for more detailed instructions.
-	echo "********************************************************************************"
-fi
-
-# identify the specific packages only if the environment matches
-
-
-#################################
-# RH EL 3.0 (AS/ES/WS) on AMD64 #
-#################################
-# to cover possibilities like the following:
-#Red Hat Enterprise Linux AS release 3 (Taroon Update 1)
-#Red Hat Enterprise Linux ES release 3 (Taroon)
-#Red Hat Enterprise Linux AS release 4 (Taroon)
-if [[ -n $(echo $RH | grep Taroon) ]]
-then
-        if [[ $MACHINE = "x86_64" ]]
-        then
-		if [[ $KERNEL = "2.4.21-9.EL" ]]
-		then
-			echo "********************************************************************************"
-			echo Unable to install RSCT because the installed kernel release is $KERNEL
-			echo on this $MACHINE machine with $RH Linux operating system.
-			echo The fix is to install RH EL 3 Update 2 before installing RSCT.
-			ABORT=1
-		fi 
-        fi
-fi
-
-###################################
-# RH EL 3.0 (AS/ES/WS) on zSeries #
-###################################
-# to cover possibilities like the following:
-#Red Hat Enterprise Linux AS release 3 (Taroon Update 1)
-#Red Hat Enterprise Linux ES release 3 (Taroon)
-#Red Hat Enterprise Linux AS release 4 (Taroon)
-if [[ -n $(echo $RH | grep Taroon) ]]
-then
-# to cover possibilities like the following:
-#s390x
-	if [[ $(echo $MACHINE| cut -c 1-4) = "s390" ]]
-        then
-		if [[ $KERNEL = "2.4.21-9.0.3.EL" ]]
-		then
-			echo "********************************************************************************"
-			echo Unable to install RSCT because the installed kernel release is $KERNEL
-			echo on this $MACHINE machine with $RH Linux operating system.
-			echo The fix is to install RH EL 3 Update 3 before installing RSCT.
-			ABORT=1
-		fi 
-	fi
-fi
-
-######################
-# RH EL 4 (AS/ES/WS) #
-######################
-# to cover possibilities like the following:
-#Red Hat Enterprise Linux AS release 4 (Nahant)
-#Red Hat Enterprise Linux ES release 4 (Nahant)
-#Red Hat Enterprise Linux WS release 4 (Nahant)
-if [[ -n $(echo $RH | grep Nahant) ]]
-then
 # libstdc++.so.5 is a symbolic link to libstdc++.so.5.0.7
-	if [[ ! -a /usr/lib/libstdc++.so.5 ]]
-	then
-		echo "********************************************************************************"
-		echo Unable to install RSCT because /usr/lib/libstdc++.so.5 is not available
-		echo on this $MACHINE machine with $RH Linux operating system.
-		echo "Please install the compat-libstdc++-33 rpm that includes this file".
-		ABORT=1
-	fi
-fi
-
-#########
-# SLES9 #
-#########
-if [[ `echo $KERNEL | cut -c 1-11` = "2.6.5-7.97-" \
- && `echo $SUSE | cut -c 1-32` = "SUSE LINUX Enterprise Server 9 (" \
-# && `rpm -qa | grep glibc-2.3.3-98.28` = "glibc-2.3.3-98.28" \
-# 3 ways to get around the problem
- && `grep "+:::" /etc/group` = "+:::" \
- && `cat /proc/sys/kernel/ngroups_max` -ge 1000 \
- && ! ( -z `grep "^group:" /etc/nsswitch.conf | grep compat` \
-  && -n `grep "^group:" /etc/nsswitch.conf` ) ]]
-then
-	echo "********************************************************************************"
-	echo This SLES9 may cause problems with many RSCT features but the newer ones are better.
-	echo See http://bugzilla.suse.de/show_bug.cgi?id=42943 for the problem description. 
-	echo Go to http://publib.boulder.ibm.com/clresctr/windows/public/rsctbooks.html,
-	echo open the Administration Guide for this level of RSCT for Linux, and check
-	echo \"RSCT installation and software verification\" Chapter for more detailed instructions.
-	echo "********************************************************************************"
+if [[ ! -a /usr/lib/libstdc++.so.5 ]]; then
+    echo "********************************************************************************"
+    echo Unable to install RSCT because /usr/lib/libstdc++.so.5 is not available.
+    echo "Please install the libstdc++5 package that includes this file".
+    ABORT=1
 fi
 
 # No installation if any problem is found
 if [[ $ABORT = 1 ]]
 then
-	echo Go to http://publib.boulder.ibm.com/clresctr/windows/public/rsctbooks.html,
-	echo open the Administration Guide for this level of RSCT for Linux, and check
-	echo \"RSCT installation and software verification\" Chapter for more detailed instructions.
-	echo "********************************************************************************"
-	echo To install RSCT without the above fix, run rpm command again with --nopre option.
 	exit 1
 fi
-
-# RSCT installation verification ends here
\ No newline at end of file
diff -ur _rsct.core.utils-3.1.0.7/debian/postrm rsct.core.utils-3.1.0.7/debian/postrm
--- _rsct.core.utils-3.1.0.7/debian/postrm	2011-12-25 14:10:41.000000000 +0100
+++ rsct.core.utils-3.1.0.7/debian/postrm	2011-12-25 14:09:29.000000000 +0100
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Post-uninstall script ------------------------------------------------------------------------------
+
+if [ "$1" = "purge" ]; then
+    # Remove /var/adm/ffdc
+    rm -rf /var/adm/ffdc
+fi
+
+exit 0
+#
+# EOF
diff -ur _rsct.core.utils-3.1.0.7/debian/prerm rsct.core.utils-3.1.0.7/debian/prerm
--- _rsct.core.utils-3.1.0.7/debian/prerm	2011-12-25 14:07:27.000000000 +0100
+++ rsct.core.utils-3.1.0.7/debian/prerm	2011-12-25 14:10:14.000000000 +0100
@@ -1,10 +1,6 @@
 #!/bin/bash
 # Pre-uninstall script ------------------------------------------------------------------------------
 
-if [ "$1" = 0 ]
-then
-
-  # Remove /var/adm/ffdc
-  rm -rf /var/adm/ffdc
-
-fi
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur _rsct.core.utils-3.1.0.7/debian/control rsct.core.utils-3.1.0.7/debian/control
--- _rsct.core.utils-3.1.0.7/debian/control	2011-12-25 14:07:27.000000000 +0100
+++ rsct.core.utils-3.1.0.7/debian/control	2011-12-25 14:11:26.000000000 +0100
@@ -4,7 +4,7 @@
 Maintainer: root <root@ststnagios02.lan.ssbag>
 
 Package: rsct.core.utils
-Architecture: ppc64
+Architecture: powerpc
 Depends: ${shlibs:Depends}
 Description: Reliable Scalable Cluster Technology - Utilities
  rsct.core.utils provides support functions for Monitoring and Control (RMC) functionality
